---
title: Anotácia textových dát
published: true
---

# Anotácia textových dát

- Natrénovanie štatistického modelu pre spracovanie prirodzeného jazyka zo slovenských dát
- Manuálna anotácia slovenských dát pre výskyt pomenovaných entít

## Postup

- Definovanie anotačnej schémy
- Príprava dátovej množiny vhodnej na anotáciu
- Natrénovanie štatistického modelu Spacy
- Príprava anotačnej úlohy Prodigy

## Nástroje

- Python (príprava dát)
- Spacy (štatistický model) [Spacy](https://spacy.io/))
- [Prodigy](https://prodi.gy/) (anotácie) 

## Riešitelia

- Andrej Hopko (BP)
- Lukáš Pokrývka (TP)
- Jakub Maruniak
- [Cesar Gutierez](/topics/named-entity) (stáž leto 2019)

