# Ján Holp

*Rok začiatku štúdia*: 2016

![Moja mačka](maxresdefault.jpg)

## Diplomová práca 2021

*Názov diplomovej práce*: Napíšte názov diplomovej práce

*Meno vedúceho*: meno vedúceho

*Zadanie diplomovej práce*:

- Vypracujte prehľad metód ohodnotenia dokumentov v systémoch získavania informácií
- Implementujte jednoduchý systém pre získavanie informácií v slovenskom jazyku, v ktorom využijete ohodnotenie dokumentov.
- Navrhnite a vypracujte experimenty, v ktorých vyhodnotíte vybrané metódy odhodnotenia dokumentov
- Navrhnite možné zlepšenia presnosti vyhľadávania



## Tímový projekt 2019

*Písomná práca* : [Názov písomnej práce](./timovy_projekt) 

*Ostatné výsledky* - odkaz na zdrojové kódy, ak sú nejaké

*Úlohy tímového projektu*: 

- Vypracujte min. 4 stranový abstrakt z knihy "Hang Li: Learning to Rank for Information Retrieval and Natural Language Processing"
- Sústreďte sa najprv na algoritmus PageRank a BM25
- citujte 10 najvýznamnejších bibliografických zdrojov




### Poznámky k vypracovaniu DP

- možnosť pracovať s veľkými dátami Elasticsearch, je nutné sprevádzkovať ES Cluster.
- možnosť vypracovať jednoduché demo web vyhľadávača
- inšpirácia Agent pre získavanie textu "dano/websucker"
- Pozrite si Python knižnice pre elasticsearch, a information retrieval (pagerank a pod.)



## Bakalárska práca 2019

*Meno vedúceho*: meno vedúceho

*Názov bakalárskej práce*: Napíšte názov bakalárskej práce

*Text bakalárskej práce*: uvedte odkaz na text Vašej bakalárskej práce, Odkaz na text vyhľadajte v [Centrálnom registri záverečných prác](https://opac.crzp.sk/?fn=*AdvancedSearch&search=advanced&entity=0&seo=CRZP-H%C4%BEadanie)

*Zadanie bakalárskej práce*: Tu napíšte zadanie Vašej bakalárskej  práce


[Bakalárska práca 2018 - Vyhľadávač na slovenskom internete](https://opac.crzp.sk/?fn=detailBiblioForm&sid=A4CA3C451D400D4BD034603141D1)




